<?php

class block_efrit extends block_base {
    
    public function init () {
        $this->title =get_string("efrit","block_efrit");
        //$this->title = "This is e-frit module";
    }
    public function get_content () {
        if ($this->content !== null) {
            return $this->content;
        }
        
        global $USER;
        global $CFG;
        
        //constant.php邩HłĂ邩`FbN
        $is_ready=0;
        if (file_exists(dirname(__FILE__)."/data/constant.php")) {
        	$is_ready=1;
        }
        
        
        $this->content = new stdClass;
        $this->content->text = "";
        $this->content->footer ="module efrit";
        
        $main_content = "";
        
        if ($is_ready == 0) $main_content .= "<font color='red'>".get_string("efrit_no_constant_file_err","block_efrit")."</font><br/>";
        
        $url = $CFG->wwwroot;
        
        require_login();
        if (is_siteadmin($USER->id)) {
        	
        	if ($is_ready == 0) {
        		$main_content .= "<a href='".$url."/blocks/efrit/admin/start_efrit.php'>>> ".get_string("efrit_admin_link_start","block_efrit")."</a><br/>";
        	} else {
        		$main_content .= "<a href = '".$url."/blocks/efrit/admin/index.php'>>> ".get_string("efrit_admin_link","block_efrit")."</a><br/>";
        	}
        	
        }
        
        $main_content .= $this->getTestTable();
        
        if ($is_ready==1) {
        	
        	if ($this->isTeacher($USER->id)) {
        		$main_content .= "<a href = '".$url."/blocks/efrit/teacher/log_check.php'>>> ".get_string("efrit_teacher_link","block_efrit")."</a><br/>";
        	}
        	
        	if ($this->isStudent($USER->id)) {
        		$main_content .= "<a href = '".$url."/blocks/efrit/usr/log_check.php'>>> ".get_string("efrit_student_link","block_efrit")."</a><br/>";
        	}
        
        }
        
        
        /*
		if (! empty($this->config->text)) {
		    $main_content .= $this->config->text;
		}
		$this->content->text = $main_content;
		
        if (! empty($this->config->footer)) {
		    $this->content->footer = $this->config->footer;
		}
		*/
		$this->content->text .= $main_content;
        
        return $this->content;
    }
    
    
    function instance_allow_multiple() {
        return true;
    }
    
    function isTeacher ($uid) {
    	if (!is_numeric($uid)) return false;
    	global $DB;
    	
    	$sql = "SELECT * FROM {x_class_teachers26} WHERE uid= :uid";
    	$params = array("uid"=>$uid);
    	$udata = $DB->get_records_sql($sql, $params);
    	
    	if (is_array($udata) && count($udata)>0) return true;
    
    }
    
    function isStudent ($uid) {
    	if (!is_numeric($uid)) return false;
    	global $DB;
    	$sql = "SELECT * FROM {x_class_student_tbl24} WHERE uid= :uid";
    	$params = array("uid"=>$uid);
    	$udata = $DB->get_records_sql($sql, $params);
    	
    	if (is_array($udata) && count($udata)>0) return true;
    }
    
    function getTestTable () {
    	//̓ɍseXg
    	global $DB;
    	
    	$test_table = "";
    	$today = date('Y-m-d');
    	
    	$sql = "SELECT tt.test_nam,tt.test_date,tt.groupid, ct.fullname FROM {x_test_info_tbl318} AS tt, {course} AS ct ";
    	$sql .= "WHERE ct.id = tt.groupid AND tt.test_date LIKE '".$today."%'";
//    	$sql .= "WHERE ct.id = tt.groupid";
    	
    	$t_data =$DB->get_records_sql($sql);
    	
    	if (!$t_data || is_null($t_data)) return "";
    	//var_dump($t_data);
    	
    	foreach ($t_data as $one_tdata) {
    		$test_table .= "<tr>";
    		$test_table .= "<td>".htmlspecialchars($one_tdata->test_nam,3)."</td>";
    		
    		$test_table .= "<td>".htmlspecialchars($one_tdata->fullname,3)."</td>";
    		$test_table .= "<td>".substr($one_tdata->test_date,0,16)."</td>";
    		
    		$test_table .= "</tr>";
    		
    	}
    	if ($test_table <> "") {
    		$test_table = "<table border=1><caption>Today's Test</caption><th>Test Name</th><th>Course Name</th><th>Date Time</th>".$test_table;
    		$test_table .= "</table><p/>";
    	}
    	
    	return $test_table;
    
    }
    
}
?>