<?php
/*
2024/5/13
初回アクセス時、constant.phpを作る

*/

if (file_exists("../data/constant.php")) {
	require_once("../data/constant.php");

	header("Content-Type: text/html; charset=UTF-8");
	header(URL_SET);
	exit;
}

require_once("../../../config.php");

global $USER;
require_login();
if (!is_siteadmin($USER->id)) {
	header("Content-Type: text/html; charset=UTF-8");
	
	global $CFG;
	
	header($CFG->wwwroot."/blocks/efrit/");
	exit;
}

if (!is_writable("../data/")) {
	echo "<font color='red'>Error! The directoy '/data/' has to be writable!</font>";
} else {
	
    $const_contents =file_get_contents("../data/constant_dist.php");
	global $CFG;
	
	$dbhost = $CFG->dbhost;
	$dbname= $CFG->dbname;
	$dbuser = $CFG->dbuser;
	$dbpass=$CFG->dbpass;
	$prefix=$CFG->prefix;
	$dboptions=$CFG->dboptions["dbcollation"];
//	$MojiCode = $dboptions["dbcollation"];
	$MojiCode = $dboptions;
	$url=$CFG->wwwroot;

	$const_contents = str_replace(':DB_TYPE_REP:', "mysqli", $const_contents);
	$const_contents = str_replace(':DB_HOST_REP:', $dbhost, $const_contents);
	$const_contents = str_replace(':DB_NAME_REP:', $dbname, $const_contents);
	$const_contents = str_replace(':DB_USER_REP:', $dbuser, $const_contents);
	$const_contents = str_replace(':DB_PASS_REP:', $dbpass, $const_contents);
	$const_contents = str_replace(':URL_REP:', $url."/blocks/efrit/", $const_contents);
	$const_contents = str_replace(':PREFIX_REP:', $prefix, $const_contents);
	$const_contents = str_replace(':DIRECT_REP:', substr(dirname(__FILE__),0,-6), $const_contents);
	$const_contents = str_replace(':MOODLE_ROOT_REP:', substr(dirname(__FILE__),0,-19), $const_contents);
	$const_contents = str_replace(':ADMIN_LOGIN:',uniqid("admin"), $const_contents);
	$const_contents = str_replace(':STUDENT_LOGIN:',uniqid("student"), $const_contents);
	$const_contents = str_replace(':EXAM_DB_ENCODE_REP:',$MojiCode, $const_contents);
	
	$fp = fopen('../data/constant.php','w');
	fwrite($fp, $const_contents);
	fclose($fp);
	
	echo "constant.php is created!";
	
	sleep(10);
	
	header("Content-Type: text/html; charset=UTF-8");
	header("Location: ".$url."/blocks/efrit/admin/index.php");
	exit;
}


?>