<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';

require_once '../../data/data_for_test.php';
require_once '../../util/for_analyze.php';

/*
ini_set("session.save_handler","files");
session_start();
*/

if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."teacher/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$is_able = "";
$class_id = "";
$show_txt = "";
$err_msg = "";

$total_ave_use = "";
$total_right = "";
$class_ave_use = "";
$class_right= "";
$mem_static_arr = array();

if ($_GET <> null) {
	$class_id = $_GET['class_id'];
	if (!is_numeric($class_id)) {
//		redirect_header(URL_SET."teacher/class_reg/class_list.php");
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."teacher/class_reg/class_list.php");
		exit;
	}
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	//CLASSΥơ֥륪֥Ȥ
//XoopsCubeѤ

	$prac_his_obj = new CPracHistoryOfClassAnalysis();
	if (!$prac_his_obj->main($data_object->conn, $class_id)) {
		$err_msg = $prac_his_obj->getErrMsg();
	} else {
		$total_ave_use = $prac_his_obj->getTotalMonFreq();
		$total_right = $prac_his_obj->getTotalAveCnt();
		$class_ave_use = $prac_his_obj->getClassMonFreq();
		$class_right= $prac_his_obj->getAvePer();
		$mem_static_arr = $prac_his_obj->getMemberHisArr();
	}
	if ($ses_list['is_cube'] == 1) {
		if (!$data_object->setCharForCube()) {
			$err_msg .= $data_object->err_msg;
		}
	}
	$class_mem_object = new CTeacherClassAccess();
	$mem_data = $class_mem_object->getClassMember($data_object->conn, $class_id);
	if ($mem_data == false) {
		$err_msg .= _COMMON_DB_NODATA_FOUND;
	} else {
		$class_nam =  htmlspecialchars($mem_data[0]['class_nam'],ENT_QUOTES);
		$teacher_nam =  htmlspecialchars($mem_data[0]['teacher_nam'],ENT_QUOTES);
//		$class_nam =  htmlspecialchars(mb_convert_encoding($mem_data[0]['class_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
//		$teacher_nam =  htmlspecialchars(mb_convert_encoding($mem_data[0]['teacher_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES);
		foreach ($mem_data as $one_mem) {
			$show_txt .= "<tr><td>".htmlspecialchars($one_mem['student_nam'],ENT_QUOTES)."</td>";
//			$show_txt .= "<tr><td>".htmlspecialchars(mb_convert_encoding($one_mem['student_nam'],'UTF-8', XOOPS_SRT_ENCODE),ENT_QUOTES)."</td>";
			$show_txt .= "<td>";
			if (isset($mem_static_arr[$one_mem["student_id"]])) {
				$show_txt .= $mem_static_arr[$one_mem["student_id"]]["mem_ave_per"]."%</td><td>".$mem_static_arr[$one_mem["student_id"]]["mem_mon_freq"];
			} else {
				$show_txt .="-</td><td>-";
			}
			$show_txt .= "</td></tr>";
		}
	}

	$data_object->closeDB();
}
/*
$show_data = file_get_contents('../../templates/ad_class_reg/ad_cl_men_list.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':DATA_LIST:', mb_convert_encoding($show_txt,'UTF-8', 'EUC-JP'), $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_class_reg/ad_cl_men_list.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':DATA_LIST:', $show_txt, $show_data);

$show_data = str_replace(':AVEUSE_CLASS_REP:', $class_ave_use, $show_data);
$show_data = str_replace(':AVEUSE_TOTAL_REP:', $total_ave_use, $show_data);
$show_data = str_replace(':RIGHT_CLASS_REP:', $class_right, $show_data);
$show_data = str_replace(':RIGHT_TOTAL_REP:', $total_right, $show_data);


echo $show_data;
?>